log4shib::PatternLayout::PatternComponent(3)

NAME
log4shib::PatternLayout::PatternComponent

SYNOPSIS

#include <PatternLayout.hh>

Inherited by log4shib::CategoryNameComponent, log4shib::FormatModifierComponent, log4shib::MessageComponent, log4shib::MillisSinceEpochComponent, log4shib::NDCComponent, log4shib::PriorityComponent, log4shib::ProcessorTimeComponent, log4shib::SecondsSinceEpochComponent, log4shib::StringLiteralComponent, log4shib::ThreadNameComponent, and log4shib::TimeStampComponent.

  Public Member Functions
virtual ~PatternComponent ()
virtual void append (std::ostringstream &out, const LoggingEvent &event)=0

Constructor & Destructor Documentation

  virtual log4shib::PatternLayout::PatternComponent::~PatternComponent () [inline], [virtual]

Member Function Documentation

  virtual void log4shib::PatternLayout::PatternComponent::append (std::ostringstream & out, const LoggingEvent & event) [pure virtual]

Implemented in log4shib::StringLiteralComponent, log4shib::ProcessorTimeComponent, log4shib::CategoryNameComponent, log4shib::MessageComponent, log4shib::NDCComponent, log4shib::PriorityComponent, log4shib::ThreadNameComponent, log4shib::TimeStampComponent, log4shib::SecondsSinceEpochComponent, log4shib::MillisSinceEpochComponent, and log4shib::FormatModifierComponent.

Author

Generated automatically by Doxygen for log4shib from the source code.